nxt

## Class MonetarySystem

- java.lang.Object
- - nxt.TransactionType
  - - nxt.MonetarySystem

-     public abstract class MonetarySystem
      extends TransactionType

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class nxt.TransactionType

      `TransactionType.AccountControl, TransactionType.ColoredCoins, TransactionType.Data, TransactionType.DigitalGoods, TransactionType.Messaging, TransactionType.Payment`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TransactionType` | `CURRENCY_DELETION`
    `static TransactionType` | `CURRENCY_ISSUANCE`
    `static TransactionType` | `CURRENCY_MINTING`
    `static TransactionType` | `CURRENCY_TRANSFER`
    `static TransactionType` | `EXCHANGE_BUY`
    `static TransactionType` | `EXCHANGE_SELL`
    `static TransactionType` | `PUBLISH_EXCHANGE_OFFER`
    `static TransactionType` | `RESERVE_CLAIM`
    `static TransactionType` | `RESERVE_INCREASE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `getType()`
    `boolean` | `isPhasingSafe()`

    - ### Methods inherited from class nxt.TransactionType

      `canHaveRecipient, findTransactionType, getLedgerEvent, getName, getSubtype, isPhasable, mustHaveRecipient, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CURRENCY_ISSUANCE

          public static final TransactionType CURRENCY_ISSUANCE

    - #### RESERVE_INCREASE

          public static final TransactionType RESERVE_INCREASE

    - #### RESERVE_CLAIM

          public static final TransactionType RESERVE_CLAIM

    - #### CURRENCY_TRANSFER

          public static final TransactionType CURRENCY_TRANSFER

    - #### PUBLISH_EXCHANGE_OFFER

          public static final TransactionType PUBLISH_EXCHANGE_OFFER

    - #### EXCHANGE_BUY

          public static final TransactionType EXCHANGE_BUY

    - #### EXCHANGE_SELL

          public static final TransactionType EXCHANGE_SELL

    - #### CURRENCY_MINTING

          public static final TransactionType CURRENCY_MINTING

    - #### CURRENCY_DELETION

          public static final TransactionType CURRENCY_DELETION

  - ### Method Detail

    - #### getType

          public final byte getType()

      Specified by:
        `getType` in class `TransactionType`

    - #### isPhasingSafe

          public final boolean isPhasingSafe()

      Specified by:
        `isPhasingSafe` in class `TransactionType`